Linux IPv6 HOWTO (en)
Prev | Chapter 7. Configuring normal IPv6 routes | Next

# 7.2. Add an IPv6 route through a gateway

Mostly needed to reach the outside with IPv6 using an IPv6-enabled router on your link.

## 7.2.1. Using "ip"

Usage:

    # /sbin/ip -6 route add <ipv6network>/<prefixlength> via <ipv6address>
    ¬ [dev <device>]

Example:

    # /sbin/ip -6 route add 2000::/3 via 2001:0db8:0:f101::1

## 7.2.2. Using "route"

Usage:

    # /sbin/route -A inet6 add <ipv6network>/<prefixlength> gw
    ¬ <ipv6address> [dev <device>]

A device can be needed, too, if the IPv6 address of the gateway is a link local one.

Following shown example adds a route for all currently global addresses (2000::/3) through gateway 2001:0db8:0:f101::1

    # /sbin/route -A inet6 add 2000::/3 gw 2001:0db8:0:f101::1

Prev | Home | Next
Displaying existing IPv6 routes | Up | Removing an IPv6 route through a gateway